## LassoIdWsf2DstResultQueryBase LassoIdWsf2DstResultQueryBase — <dst:ResultQueryBase> |

## Functions

LassoIdWsf2DstResultQueryBase * | lasso_idwsf2_dst_result_query_base_new ()

## Types and Values

struct | LassoIdWsf2DstResultQueryBase

## Description

Figure 188. Schema fragment for dst:ResultQueryBase

    <xs:complexType name="ResultQueryBaseType">
      <xs:sequence>
        <xs:element ref="dst:ChangeFormat" minOccurs="0" maxOccurs="2"/>
      </xs:sequence>
      <xs:attributeGroup ref="dst:selectQualif"/>
      <xs:attribute ref="lu:itemIDRef" use="optional"/>
      <xs:attribute name="contingency" use="optional" type="xs:boolean"/>
      <xs:attribute name="includeCommonAttributes" use="optional" type="xs:boolean"
              default="0"/>
      <xs:attribute name="changedSince" use="optional" type="xs:dateTime"/>
      <xs:attribute ref="lu:itemID" use="optional"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_dst_result_query_base_new ()

    LassoIdWsf2DstResultQueryBase *
    lasso_idwsf2_dst_result_query_base_new
                                   (void);

Creates a new LassoIdWsf2DstResultQueryBase object.

#### Returns

a newly created LassoIdWsf2DstResultQueryBase object

## Types and Values

### struct LassoIdWsf2DstResultQueryBase

    struct LassoIdWsf2DstResultQueryBase {
    	LassoNode parent;

    	/* elements */
    	char *ChangeFormat;
    	/* attributes */
    	char *itemIDRef;
    	gboolean contingency;
    	gboolean includeCommonAttributes;
    	char *changedSince;
    	char *itemID;
    	char *objectType;
    	char *predefined;
    };